print("Hit '\\' to stop echoing...\r\n\r\n");
console.lock_input(true);

while(client.socket.is_connected) {
	ch = client.socket.read(1);
	if(ch=='\\')
		break;
	val = ascii(ch);
	if(val < ascii(' '))
		printf("<%02X>",val);
	else
		printf("%c",val);
}

console.lock_input(false);
